-- exec [dbo].[mnrPrcCreateTmpTblRep]
create or ALTER PROC [dbo].[mnrPrcCreateExtraTmpTblRep]
AS


		if ( [dbo].[mnrFnObjectExists]( 'mnr_tmp_mnrRepTblsRecAction') <> 0)
					drop table dbo.mnr_tmp_mnrRepTblsRecAction
				select top 1 * into dbo.mnr_tmp_mnrRepTblsRecAction from mnrRepTblsRecAction
				truncate table dbo.mnr_tmp_mnrRepTblsRecAction


			if ( [dbo].[mnrFnObjectExists]( 'mnr_tmp_mnrRepStr') <> 0)
					drop table dbo.mnr_tmp_mnrRepStr
				select top 1 * into dbo.mnr_tmp_mnrRepStr from mnrRepStr
				truncate table dbo.mnr_tmp_mnrRepStr
	
				if ( [dbo].[mnrFnObjectExists]( 'mnr_tmp_mnrRepStrDetail') <> 0)
						drop table dbo.mnr_tmp_mnrRepStrDetail
					select top 1 * into dbo.mnr_tmp_mnrRepStrDetail from mnrRepStrDetail
					truncate table dbo.mnr_tmp_mnrRepStrDetail

	